# Markdown基础语法

![Markdown图标](https://markdown.com.cn/hero.png "Markdown")

参考地址 [Markdown教程-基本语法](https://markdown.com.cn/basic-syntax/) <br>
<https://markdown.com.cn/basic-syntax/>

## 标题语法
使用几个特殊符号 **\#** 开头即可

\# 这是一级标题（最大的标题，比如最上方的 **Markdown基础语法** ）<br>
\#\# 这是二级标题，上面的 **标题语法** 就是二级标题 <br>
\#\#\#\#\#\# 这是六级标题（最小）

注意\#和内容之间，保留1个空格。


## 转义字符
在特殊符号之前，加上特殊符号 **\\** 即可。

\\\# 就能表示 \# <br>
\\\\ 就能表示 \\ <br>
\\\+ 就能表示 \+

特殊符号列表：
\\ \+ \- \_ \* \# \! \| \> \( \) \[ \] \{ \} \. \`

注意 < 和 & 这两个符号，一般情况下自动转义，不用加\\，（好像也可以）。<br>
只有明确出现HTML语法时，才会特殊化。


## 换行语法
有两种方式：

1\. 按 **2次空格\+1次回车** <br>
2\. 使用HTML标记 **<br\>**

注意：<br>
仅单次回车，显示的结果等于1个空格，不会换行。<br>
仅多次回车，是下面的切换段落而非换行。


## 段落语法
**连按多次回车即可（2次及以上）。**

或者说，原文本中保留1或多个空行即可。

注意，无论空多少行，结果上都会变成只空1行。

另外，段落 引用 代码等语法，最好在单独一个段落中。


## 强调语法
\*\* 粗体 \*\* ，效果： **粗体** <br>
\* 斜体 \* ，效果： *斜体* <br>
\~\~删除线\~\~ 效果： ~~删除线~~ <br>
注意删除线，内部文本头尾不能含空格。

## 引用语法
使用右尖括号 **\>** 开头即可。<br>
如：<br>
\> 段落1，这是引用。<br>
\><br>
\> 段落2<br>
\> \> 嵌套引用<br>

效果如下：
> 段落1，这是引用。<br>
><br>
> 段落2<br>
>> 嵌套引用 


## 列表
有序列表： 数字\+点\+空格\+内容

1. 一
2. 二
    1. 二点一
3. 三 <br>
 
实现方式和你看到的一样，嵌套时需要4个空格或1个制表符。

***

无序列表：\-/\+/\*\+空格\+内容<br>
注意不要混合使用

- 一
- 二
    - 二点一
- 三


## 代码语法
使用若干对反引号 **\`** 包裹即可。<br>

多对反引号可以保证，代码内部的反引号不影响显示效果， **常用3对** 。<br>
直接每行缩进至少4个空格或1制表符 ，也能显示代码块。

效果：```echo "hello world"``` <br>
实现：\`\`\` excho "hello world" \`\`\`

代码块，在开头反引号后面加上语言名，实现高亮：<br>
```cpp
std::cout << "hello world!" << std::endl;
```
实现如下：<br>
\`\`\`cpp <br>
std::cout << "hello world!" << std::endl;<br>
\`\`\`


## 分割线
使用连续3个 \* 或  \- 或 \_ 。<br>
***
效果如上，实现：\*\*\*


## 超链接
语法1：\[文本\]\(网址\)<br>
效果：[文本](https://example.com)

语法2：\[文本\]\(网址 "提示信息"\)<br>
效果：[文本](https://example.com "提示信息")

语法3：<网址\><br>
效果: <https://example.com>

注意，超链接链接语法，可以配合强调语法使用，只需外围包裹星号。

## 图片链接
在超链接基础上，开头加上 \! 即可。

语法：\!\[描述文本\]\(图片链接 "提示词"\)

可以嵌套使用，从而给图片增加跳转链接，如：<br>
\[\!\[图标文本\]\(图片链接\)\]\(网址\)


## 内嵌HTML标签
Markdown内部可以直接使用HTML标签，本文的换行就依赖\<br\>标签。

需要注意，块级HTML标签内部，Markdown语法将不再生效。


